## com.imcode.imcms.flow
Interface DocumentPageFlow.SaveDocumentCommand

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  DocumentMapper.PublushDocumentCommand, DocumentMapper.SaveEditedDocumentCommand, MenuEditPage.SaveNewDocumentAndAddToMenuCommand

Enclosing class:
  DocumentPageFlow

    public static interface DocumentPageFlow.SaveDocumentCommand

extends java.io.Serializable

Method Summary
`void` `saveDocument(DocumentDomainObject document, UserDomainObject user)`

Method Detail

### saveDocument

    void saveDocument(DocumentDomainObject document,
                      UserDomainObject user)
                      throws NoPermissionInternalException,
                             DocumentSaveException

  Throws:
    `NoPermissionInternalException`
    `DocumentSaveException`